Bug 5226 - MARC21 field 545 missing
Summary: MARC21 field 545 missing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Jared Camins-Esakov (do not use)
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-15 19:02 UTC by Jared Camins
Modified: 2012-10-25 23:09 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (7.42 KB, patch)
2010-11-02 03:21 UTC, Jared Camins-Esakov (do not use)
Details | Diff | Splinter Review
follow up patch for it-IT and sample frameworks (36.62 KB, patch)
2010-12-07 10:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Add MARC21 field 545 to to framework fix bug 5226 (6.81 KB, patch)
2011-12-07 21:25 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5226: Follow up to new/awaiting_qa/bug_5226 (36.63 KB, patch)
2011-12-07 21:31 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5226: Add 545 to es-ES and nb-NO (16.73 KB, patch)
2012-01-09 14:34 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Signed patch for es and nb (16.79 KB, patch)
2012-01-09 14:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[3.4.x] Bug 5226: Add 545 to es-ES and nb-NO (8.68 KB, patch)
2012-01-21 13:37 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins 2010-09-15 19:02:32 UTC
MARC21 field 545 (Biographical or Historical Data) is missing from the default MARC21 framework. Its subfields are:
$a - Biographical or historical data (NR) 
$b - Expansion (NR) 
$u - Uniform Resource Identifier (R) 
$6 - Linkage (NR) 
$8 - Field link and sequence number (R)
Comment 1 Jared Camins 2010-09-15 19:12:20 UTC
It looks like the line declaring the field is missing from marc21_framework_DEFAULT.sql. The following line should be included around line 348:
('545', 'BIOGRAPHICAL OR HISTORICAL DATA', 'BIOGRAPHICAL OR HISTORICAL DATA', 1, 0, NULL, ''),
Comment 2 Jared Camins-Esakov (do not use) 2010-11-02 03:21:57 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2010-11-22 00:48:15 UTC
Pushed to 
new/awaiting_qa/bug_5266
Comment 4 Katrin Fischer 2010-12-07 10:35:22 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2010-12-12 07:21:42 UTC
Follow up patch pushed to 
new/awaiting_qa/bug_5266
Comment 6 MJ Ray (software.coop) 2010-12-13 12:16:53 UTC
This bug is mentioned in:
Add MARC21 field 545 to to framework fix bug 5226 http://lists.koha-community.org/pipermail/koha-patches/2010-November/012827.html
Add MARC21 field 545 to to framework fix bug 5226 http://lists.koha-community.org/pipermail/koha-patches/2010-November/012828.html
Add MARC21 field 545 to to framework fix bug 5226 http://lists.koha-community.org/pipermail/koha-patches/2010-November/012829.html
Comment 7 MJ Ray (software.coop) 2011-01-10 10:48:51 UTC
This bug is mentioned in:
Bug 5226: Follow up to	new/awaiting_qa/bug_5226 http://lists.koha-community.org/pipermail/koha-patches/2010-December/013189.html
Comment 8 Marcel de Rooy 2011-11-16 14:04:55 UTC
Unless I misunderstand, this patch and its follow up are still missing signoff. They can be found under origin/new/awaiting_qa/bug_5226 (or just from Bugzilla).
If you pick them from here, please rebase first. 
QA will follow signoff.
Comment 9 Chris Cormack 2011-12-07 21:25:45 UTC
Created attachment 6645 [details] [review]
Add MARC21 field 545 to to framework fix bug 5226

Adds MARC21 field 545 to the English, French, German, and Polish MARC21
frameworks. The labels for the field still need to be translated into
French and Polish.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 10 Chris Cormack 2011-12-07 21:31:04 UTC
Created attachment 6647 [details] [review]
Bug 5226: Follow up to new/awaiting_qa/bug_5226

This patch adds the field definition to
- it-IT (default and sample frameworks)
- de-DE, en, fr-FR, pl-PL (sample frameworks)

I am not sure about the database update. If we want to do that, it should perhaps update all frameworks and languages.
At the moment only en and de-DE default frameworks are updated.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 11 Chris Cormack 2011-12-07 21:31:53 UTC
Signed off patches attached
Comment 12 Marcel de Rooy 2012-01-09 09:59:35 UTC
QA Comment:
Patches look good. Updating patch status.
Only point of consideration: We apparently still need a follow up for es-ES (Spanish) and nb-NO (Norwegian). Could you send that too?
Comment 13 Jared Camins-Esakov 2012-01-09 14:34:09 UTC Comment hidden (obsolete)
Comment 14 Marcel de Rooy 2012-01-09 14:38:45 UTC
Created attachment 7094 [details] [review]
Signed patch for es and nb
Comment 15 Marcel de Rooy 2012-01-09 14:39:53 UTC
Paul: Last follow up is fine for me too.
Comment 16 Paul Poulain 2012-01-13 10:32:55 UTC
QA comment: tested that there is no impact on UNIMARC setups

patch pushed, please test
Comment 17 Chris Nighswonger 2012-01-21 05:56:27 UTC
Depends on commit commit 7af27271272d11872ced646f2a1f72616095b56d
Comment 18 Chris Nighswonger 2012-01-21 05:58:27 UTC
This patch does not apply cleanly to 3.4.x. This is probably due to the previously mentioned dependency patch not applying cleanly either. Please rebase both patches and attach new ones.
Comment 19 Jared Camins-Esakov 2012-01-21 13:37:42 UTC
Created attachment 7265 [details] [review]
[3.4.x] Bug 5226: Add 545 to es-ES and nb-NO

Since the original patches for bug 5226 were submitted, two new translations
have been added to Koha: es-ES and nb-NO. This patch adds the missing 545 line
to the frameworks for those languages.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Chris Nighswonger 2012-01-21 13:48:34 UTC
Pushed to 3.4.x. Please test and close.